=== debian/changelog ===
plasma-discover (6.3.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.5).
    - ApplicationsListPage: fix "Still Looking" indicator. Commit.
    (kde#485379)
    - ApplicationPage: fix offline update header text at narrow window widths.
    (kde#502835)
  * Backport upstream commits:
    - Improvements to the reliability of automatic updates. (kde#447245)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 19 May 2025 00:58:38 +0200

plasma-discover (6.3.4-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add patch to use the Qt6 version on the snapd bindings as packaged
    in Debian.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 04 Apr 2025 01:07:16 +0200

plasma-discover (6.3.4-2) unstable; urgency=medium

  * Source-only upload to unstable so the package can migrate to
    testing.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 20:28:52 +0200

plasma-discover (6.3.4-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.4).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Reintroduce package plasma-discover-backend-snap.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Apr 2025 18:23:13 +0200
