=== debian/changelog ===
plasma-discover (6.3.6-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.3.6).
    - Make it harder for category to be wrong. (kde#491703)
  * Backport upstream commits:
    - Respect systemwide default search engine. [1e71f6c7] (kde#502908)
    - Fix empty search results with trailing whitespaces. [ac955439]
    (kde#505538)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Jul 2025 23:44:48 +0200
