=== debian/changelog ===
plasma-discover (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:00:35 +0100

plasma-discover (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:26:57 +0100

plasma-discover (6.3.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.3.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 May 2025 21:32:35 +0100
