=== debian/control ===
--- 
+++ 
@@ -1,54 +1,55 @@
 Source: plasma-discover
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Matthias Klumpp <mak@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
-               extra-cmake-modules (>= 6.10.0~),
+               extra-cmake-modules (>= 6.14.0~),
                gettext,
                kirigami-addons-dev (>= 1.2.1~),
                libappstreamqt-dev (>= 1.0.0),
                libcurl4-gnutls-dev,
                libflatpak-dev (>= 0.11.8~) [linux-any],
                libfwupd-dev (>= 1.9.4~) [linux-any],
-               libkf6archive-dev (>= 6.10.0~),
-               libkf6attica-dev (>= 6.2.0~),
-               libkf6auth-dev (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6crash-dev (>= 6.10.0~),
-               libkf6dbusaddons-dev (>= 6.10.0~),
-               libkf6i18n-dev (>= 6.10.0~),
-               libkf6iconthemes-dev (>= 6.10.0~),
-               libkf6idletime-dev (>= 6.10.0~),
-               libkf6jobwidgets-dev,
-               libkf6kcmutils-dev (>= 6.10.0~),
-               libkf6kio-dev (>= 6.10.0~),
-               libkf6newstuff-dev (>= 6.2.0~),
-               libkf6notifications-dev (>= 6.10.0~),
-               libkf6purpose-dev (>= 6.10.0~),
-               libkf6statusnotifieritem-dev (>= 6.10.0~),
-               libkf6userfeedback-dev (>= 6.10.0~),
-               libkf6xmlgui-dev (>= 6.10.0~),
-               libkirigami-dev (>= 6.10.0~),
+               libkf6archive-dev (>= 6.14.0~),
+               libkf6attica-dev (>= 6.14.0~),
+               libkf6auth-dev (>= 6.14.0~),
+               libkf6config-dev (>= 6.14.0~),
+               libkf6coreaddons-dev (>= 6.14.0~),
+               libkf6crash-dev (>= 6.14.0~),
+               libkf6dbusaddons-dev (>= 6.14.0~),
+               libkf6i18n-dev (>= 6.14.0~),
+               libkf6iconthemes-dev (>= 6.14.0~),
+               libkf6idletime-dev (>= 6.14.0~),
+               libkf6jobwidgets-dev (>= 6.14.0~),
+               libkf6kcmutils-dev (>= 6.14.0~),
+               libkf6kio-dev (>= 6.14.0~),
+               libkf6newstuff-dev (>= 6.14.0~),
+               libkf6notifications-dev (>= 6.14.0~),
+               libkf6purpose-dev (>= 6.14.0~),
+               libkf6statusnotifieritem-dev (>= 6.14.0~),
+               libkf6userfeedback-dev (>= 6.14.0~),
+               libkf6xmlgui-dev (>= 6.14.0~),
+               libkirigami-dev (>= 6.14.0~),
                libmarkdown2-dev,
                libpackagekitqt6-dev (>= 1.0.1),
-               libsnapd-qt6-dev (>= 1.66-2) [linux-any],
+               libsnapd-qt-dev (>= 1.65) [linux-any],
                pkgconf,
                qcoro-qt6-dev,
                qml6-module-qt5compat-graphicaleffects,
-               qt6-base-dev (>= 6.7.0~),
-               qt6-declarative-dev (>= 6.7.0~),
-               qt6-webview-dev (>= 6.6.0~) [amd64 arm64 armhf i386],
-Standards-Version: 4.7.2
+               qt6-base-dev (>= 6.8.0~),
+               qt6-declarative-dev (>= 6.8.0~),
+               qt6-webview-dev (>= 6.8.0~) [amd64 arm64 armhf i386],
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/discover
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-discover
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-discover.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
 Rules-Requires-Root: no
 
 Package: plasma-discover
@@ -63,11 +64,12 @@
 Recommends: apt-config-icons-hidpi,
             apt-config-icons-large,
             apt-config-icons-large-hidpi,
-            kde-config-updates,
             plasma-discover-backend-fwupd [linux-any],
+            plasma-discover-backend-snap,
+            plasma-discover-notifier,
             software-properties-qt,
-Suggests: plasma-discover-backend-flatpak [linux-any],
-          plasma-discover-backend-snap [linux-any],
+Suggests: kde-config-updates,
+          plasma-discover-backend-flatpak [linux-any],
 Description: Discover software management suite
  Discover is a graphical software manager for the Plasma workspace.
  It helps users easily and quickly find applications and other software
@@ -80,10 +82,32 @@
  Discover will also keep the system up to date by notifying about updates and
  installing them.
 
+Package: plasma-discover-notifier
+Architecture: any
+Depends: plasma-discover (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Breaks: plasma-discover (<< 5.26.90-0ubuntu2)
+Replaces: plasma-discover (<< 5.26.90-0ubuntu2)
+Description: Discover software management suite - Update Notifier
+ Discover is a graphical software manager for the Plasma workspace.
+ It helps users easily and quickly find applications and other software
+ they might want to install.
+ .
+ By allowing to navigate a software library by search, categories, top lists
+ along with detailed application information that includes screenshots
+ and reviews, users can more quickly find applications that suit their needs.
+ .
+ Discover will also keep the system up to date by notifying about updates and
+ installing them.
+ .
+ This package contains the update notifier and indicator.
+
 Package: plasma-discover-backend-flatpak
 Architecture: linux-any
 Depends: flatpak,
          plasma-discover (= ${binary:Version}),
+         xdg-desktop-portal-kde | xdg-desktop-portal-backend,
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Discover software management suite - Flatpak backend
@@ -110,6 +134,7 @@
 Package: plasma-discover-backend-snap
 Architecture: linux-any
 Depends: plasma-discover (= ${binary:Version}),
+         xdg-desktop-portal-kde | xdg-desktop-portal-backend,
          ${misc:Depends},
          ${shlibs:Depends},
 Recommends: snapd,
