## plasma-discover 6.4.5+p24.04+vstable+git20251004.0505

=== debian/changelog ===
plasma-discover (6.4.5+p24.04+vstable+git20251004.0505-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 04 Oct 2025 05:05:57 +0000

plasma-discover (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 04:02:56 +0000
