## plasma-discover 6.4.5+p24.04+vstable+git20251005.1108

=== debian/changelog ===
plasma-discover (6.4.5+p24.04+vstable+git20251005.1108-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 11:08:45 +0000
