## plasma-discover 6.4.5+p24.04+vstable+git20251020.0043

=== debian/changelog ===
plasma-discover (6.4.5+p24.04+vstable+git20251020.0043-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 00:43:30 +0000
