## plasma-discover 6.4.5+p24.04+vstable+git20251021.0348

=== debian/changelog ===
plasma-discover (6.4.5+p24.04+vstable+git20251021.0348-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:48:32 +0000
